Jump to content

DenisHen

Membres
  • Content Count

    3 518
  • Joined

  • Last visited

  • Days Won

    21

DenisHen last won the day on December 12 2019

DenisHen had the most liked content!

Community Reputation

46 Excellent

About DenisHen

  • Rank
    ceinture rouge et blanche 7em dan
  • Birthday 16.03.1972

Profile Information

  • Gender
    Male
  • Location
    TRAINEL (10400)

Recent Profile Visitors

4 462 profile views
  1. On est bien d'accord Fraid, il y a plein de méthodes de travail, mais je me fis à mon expérience, qui n'est que d'une petite trentaine d'années, on est d'accord... J'ai toujours été le référent AutoCAD dans tout les boulots que j'ai eu, Et je m'en félicite, j'ai toujours apporté un grand sens de l'ordre et de la structure des DWG... Maintenant, si tu as des observations à apporter à mon moulin, je serais ravi de les lire... Plusieurs cerveaux valent mieux qu'un...
  2. "vous dessiner vos niveaux dans le même dwg et superposé? " Déjà tu me vouvoies, ça me vexe (mais pas tellement en fait...), sauf si le "vous" s'adresse à mes collègues et moi... Deuxièmement oui, tous les niveaux se situent sur le même fichier et sont tous superposés, on est dans AutoCAD, pas sur Corel ou Illustrator... Tous les niveaux sont dans leurs calques bien rangée et ont la même géolocalisation... Le mur du 14ème étage se superpose avec celui du Rez-de-chaussée... Je ne vois rien à redire là-dessus... Si ? Ensuite, on travaille avec des tonnes de niveaux (IGH, ERP.
  3. Salut Fraid. Mes calques sont tous dans un ou plusieurs .csv, mais lors de leur création, je les renommes "en partie", exemple, le calque "ECPS_000_BATI" devient "ECPS_00_000BATI", car le "00" est une variable pris sur un XData qui est le niveau courant du dessin... Exemple, le niveau courant est "01" (premier étage déclaré dans un XData), j'insert le calque "ECPS_000_BATI" et le renomme en "ECPS_01_000_BATI", et ça, aucun gabarit ou aucun DesignCenter ne le fera... Merci pour ton intervention, mais je m'y attendais 😛 Denis...
  4. Bonsoir à toute la communauté. @(gile), je ne ferais jamais ö grand jamais faire quoique ce soit pour cherché à te vexer, tu nous a tellement appris à tous, même aux plus grands... Je me suis juste aperçu que j'ai essayé le Lisp, mais je ne peux pas aller plus loin, j'ai bien appris, grâce à toi, à vous, membre de CaxXP (je pense à didier, Tramber, BonusCAD, RebCAO, Patrick...)... J'en suis désolé, mais j'ai essayer, n'ayant pas l'aide appropriée (vous m'avez tellement apporté, mais peut-être était-ce insuffisant, je veux dire que tout le monde ne né pas pédagogue, ni élève... C'est très
  5. Salut @didier. "Admettons, je ne suis pas convaincu" je n'ai pas compris, j'espère que tu dis du mal de moi... 🤣
  6. Salut CurlyGoth. Pas de problème, montre-moi une boite de dialogue pour ouvrir n'importe quel fichier depuis le VBA d'AutoCAD (comme FileDialog d'Excel), sans charger une référence externe (comme celle d'MS-Office par exemple). Pour être clair, comment ouvres-tu une boite de dialogue "Ouvrir" depuis le VBA d'AutoCAD sans autre aide ou MSO ? En "natif" AutoCAD VBA.
  7. Bonjour didier (ça faisait longtemps, souviens-toi, "Si quelqu'un a une astuce, un conseil ou même une solution, je suis preneur".😊). Premièrement, j'ai appris le VBA sous Excel, et j'ai fais des trucs très intéressant sous Excel pour piloter AutoCAD. Mais ça, c'était avant (1994 ? mes début dans la programmation)... Deuxièmement, j'aurais voulu ouvrir un .csv contenant une liste de calques avec différentes données et les créer dans AutoCAD. J'ai commencé avec du LiSP mais je me suis heurté à mon manque de compétences... Tout est sur ce fil. Maître (gile) m'a bien sous-entendu claire
  8. Bonjour Fraid et merci pour ton aide. Je me suis diriger vers le VBA parce-que, justement, je n'arrive pas à ce que je veux faire sous LiSP, je me tourne donc vers mes "racines", le VBA... Je vais de ce pas sur Google... Bon week-end à la communauté. Denis...
  9. Bonjour à tous. Je me remets petit à petit au VBA et je cherche la commande FileDialog qui existe en VBA pour MS-Office mais je n'ai rien trouvé. Existe-t-elle pour AutoCAD ? Si non, y-a-t 'il un équivalent ? Bonne journée à la communauté. Denis...
  10. Merci à vous deux pour votre aide, ça m'aide beaucoup. @Luna Il me semble que (setvar 'CLAYER "0") ne fonctionne pas si le calque est gelé. Mais je vais controler mes dires. Je vais utiliser le lien de (gile) pour toutes tes remarques judicieuses. 😉 @(gile) : mille mercis pour ton lien, je l'avais perdu. ☹️
  11. Bonjour (gile) et merci pour ton aide. J'ai cherché "Reference de l'aide aux développeurs" sur le site AutoDesk, mais je n'ai rien trouvé. Je sais qu'un jour, tu avais posté le lien sur CadXP, mais je n'ai pas retrouvé ce message. L'aurais-tu encore ? Oui, je fais beaucoup de testes, surtout dans la console, ce qui me permet d'éviter pas mal de questions, et je fini par trouver les réponses seul. Encore merci au forum. Denis...
  12. Merci Luna pour ton aide précieuse... voilà ce que j'ai fini par écrire, mais aucun calque ne se créé ? ? ? ;;; ***************************************** ;;; Création des calques du niveau courant ;;; ***************************************** (defun c:ECPS_CreaCalqCourant (/ doc CherchFich Fichier FichLstCalq lstCalqLine nomCalque line) (princ "\nDéveloppé par Denis H. (1.0)") (setq doc (vla-get-activedocument (vlax-get-acad-object))) (vla-startundomark doc) (command "-calque" "e" "0" "") ;; Sélection du fichier de configuration... (setq Fichier (getfiled "Sélectionner
  13. Bonjour Luna, et merci pour ton aide. Déjà, (explore-dxf ne fonctionne pas chez moi (??). Et j'ai réussi un truc, mais j'ai une erreur dès le début, ce doit être le (cons de la couleur (code 62) qui n'est pas correcte, encore un problèble d'interprétation je pense. ; erreur: groupe DXF incorrect: (62 . "60") Je crois qu'autolisp attent un 60 et non un "60". Qu'en penses-tu ? Car je vais avoir le même problème avec d'autre codes... Je n'ai rien trouvé sur l'épaisseur des lignes, et quel est ce code DXF 5 (Entity handle), je n'ai rien trouvé non plus ?
  14. Bonjour à toutes et à tous. Merci Luna pour ton aide, mais je viens de voir avec mes collègues et on est d'accord sur un point, il n'y aura que des couleur de base (de 0 à 255). Mais il y a autre chose, j'essai de créer un calque avec (entmake mais je n'y arrive pas, j'ai peut-être commencé par la fin avec : (entmake '((0 . "LAYER") (8 . "Denis") (62 . 1) (290 . 1))) Mais sans résultat, j'ai donc fais le minimum : _$ (entmake '((0 . "LAYER") (8 . "Denis"))) nil Toujours rien. Quelqu'un peut-il me dire ce que je fais de mal ? Bonne journée au forum. Denis...
×
×
  • Create New...